%define	major 2
%define libname	%mklibname ewf %{major}
%define develname %{libname}-devel

Summary:	Utils for use with the Expert Witness Compression Format (EWF)
Name:		libewf
Version:	20120225
Release:	%mkrel 1
Group:		System/Libraries
License:	BSD
URL:		http://libewf.sourceforge.net/
Source0:	http://kent.dl.sourceforge.net/project/%{name}/%{name}2/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:	openssl-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	zlib-devel
BuildRequires:	autoconf
BuildRequires:	libtool

%description
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains utils for use with the Expert Witness Compression Format
(EWF).

%package -n	%{libname}
Summary:	The Expert Witness Compression Format (EWF) shared library
Group:		System/Libraries

%description -n	%{libname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

%package -n	%{develname}
Summary:	Static library and header files for the libewf library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Libewf is a library for support of the Expert Witness Compression Format (EWF),
it support both the SMART format (EWF-S01) and the EnCase format (EWF-E01).
Libewf allows you to read and write media information within the EWF files.

This package contains the static libewf library and its header files.

%prep

%setup -q

%build
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# Do not package *.la files
rm -f %{buildroot}%{_libdir}/*.la

%files
%{_bindir}/ewfacquire
%{_bindir}/ewfacquirestream
%{_bindir}/ewfdebug
%{_bindir}/ewfexport
%{_bindir}/ewfmount
%{_bindir}/ewfinfo
%{_bindir}/ewfrecover
%{_bindir}/ewfverify
%{_mandir}/man1/*

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog

* Sun Mar 04 2012 sander85 <sander85> 20120225-1.mga2
+ Revision: 218091
- new version: 20120225

* Fri Jun 17 2011 sander85 <sander85> 20100226-1.mga2
+ Revision: 108581
- new version: 20100226; drop *.la files
- clean spec
- imported package libewf

